﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.PartInfo;
@using Portal.Models.Globals;
@using Portal.Models.PriceConfirmation; 
<div class="search-wrap">
    <div class="row">
        <div class="sel two columns label" id="laPcNo">
        @Html.DevExpress().Label(
        edtSettings =>
        {
            edtSettings.ControlStyle.CssClass = "label";
            edtSettings.Text = "PC No";
            edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
        }).GetHtml()
        </div>
        <div class="sel three columns column text" id="tePcNo">
        @Html.DevExpress().TextBox(
        e =>
        {
            e.Name = "PCNoText";
            e.Width = Unit.Pixel(150);
            e.Properties.MaxLength = 21;
            e.Properties.ClientInstanceName = "PCNoText";
            e.ReadOnly = false;
        }).GetHtml()
        </div>
        <div class="sel two columns label" id="laPcDateFrom">
        @Html.DevExpress().Label(
        edtSettings =>
        {
            edtSettings.ControlStyle.CssClass = "label";
            edtSettings.Text = "PC Date";
            edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
        }).GetHtml()
        </div>
        <div class="sel two columns text" id="daPcDateFrom">
        @Html.DevExpress().DateEdit(
        e =>
        {
            e.Name = "PCDate";
                        
            e.Width = 100;
            e.Height = 25;
            e.Properties.ClientInstanceName = "PCDate";
            e.Properties.DisplayFormatString = "dd.MM.yyyy";
            e.Properties.EditFormatString = "dd.MM.yyyy";                        

            e.Date = DateTime.Now.AddMonths(-6);
        }).GetHtml()
        </div>
        <div class="sel one columns label middle" id="laPcDateTo">
            To
        </div>
        <div class="sel two columns text"  id="daPcDateTo">
        @Html.DevExpress().DateEdit(
        e =>
        {
            e.Name = "PCDateTo";
            e.Width = 100;
            e.Height = 25;
            e.Properties.ClientInstanceName = "PCDateTo";
            e.Properties.DisplayFormatString = "dd.MM.yyyy";
            e.Properties.EditFormatString = "dd.MM.yyyy";
            e.Date = DateTime.Now;
        }).GetHtml()
        </div>
    </div>
    <div class="row">
        <div class="sel two columns label" id="laSupplierCode">
        @Html.DevExpress().Label(
        label =>
        {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Supplier Code";
            label.Style.Add("padding-right", "10px");
        }).GetHtml()
        </div>
        <div class="sel three columns text" id="coSupplierCode">
        @Html.Common().DevExpress().GridLookup(
        gridLookup =>
        {
            gridLookup.Name = "OIHSupplierOption";
            gridLookup.Width = 150;
            gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PriceConfirmation", Action = "PartialHeaderSupplierLookup" };
            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
            gridLookup.ReadOnly = true;
            
            gridLookup.GridProperties.Columns.Add(column =>
            {
                column.Name = "SUPP_CD";
                column.FieldName = "SUPP_CD";
                column.Caption = "Supplier<br /> Code";
                column.Width = Unit.Pixel(80);
            
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        
            });
                   
            gridLookup.GridProperties.Columns.Add(column =>
            {
                column.Name = "SUPP_NAME";
                column.FieldName = "SUPP_NAME";
                column.Caption = "Supplier<br />Name";
                column.Width = Unit.Pixel(500);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
            });

        }).Bind(ViewData["GridSupplier"]).GetHtml()
        </div>
        <div class="sel two columns label" id="laReleaseStatus">
        @Html.DevExpress().Label(
        label =>
        { 
            label.ControlStyle.CssClass = "Label";
            label.Text = "Release Status";
            label.Style.Add("padding-right", "10px");
        }).GetHtml()
        </div>
        <div class="sel two columns text" id="coReleaseStatus">
        @Html.DevExpress().ComboBox(
        comboBox =>
        {
            comboBox.Name = "optReleaseSatus";
            comboBox.Properties.ClientInstanceName = "ReleaseStatusCombo"; 
            comboBox.Properties.Items.Add("All", "");
            comboBox.Properties.Items.Add("Y", "Y");
            comboBox.Properties.Items.Add("N", "N");
            comboBox.SelectedIndex = -1;
            comboBox.Width = Unit.Pixel(108);
        }).GetHtml()
        </div>
    </div>
    <div class="row">
        <div class="sel two columns label" id="teEffectiveDate">
            Effective Date from
        </div>
        <div class="sel two columns text" id="daEffectiveDate">
        @Html.DevExpress().DateEdit(
        e =>
        {
            e.Name = "EffectiveDate";
            e.Width = 100;
            e.Height = 25;
            e.Properties.EditFormat = EditFormat.Custom;
            e.Properties.ClientInstanceName = "EffectiveDate";
            e.Properties.ClientSideEvents.Init = "OnEffectiveDateInit";
            e.Properties.ClientSideEvents.DropDown = "OnEffectiveDateDropdown";
            
            e.Properties.DisplayFormatString = "MM.yyyy";
            e.Properties.EditFormatString = "MM.yyyy";
        }).GetHtml()
        </div>
        
    </div>
    
    <div class="row">
        <div class="sel four offset-by-eight columns align-right" id="burightSearchClear">
        @Html.DevExpress().Button(
        button =>
        {
            button.Name = "btnSearch";
            button.Text = "Search";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnSearchClick";
        }).GetHtml()
        @Html.DevExpress().Button(
        button =>
        {
            button.Name = "btnClear";
            button.Text = "Clear";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnClearClick";
        }).GetHtml()     
        </div>
    </div>
</div>